function filters_func_find_route_main (el,owner_type=null,win_loc_replace=null){
    console.log("asd")
    if (win_loc_replace){
        event.preventDefault()
        let data_d = {}
        let get_url = ""
        let list = forloop_func_form(data_d,"get",get_url)
        data_d = list[0]
        get_url = list[1]
        if (owner_type !== null) {
            data_d['owner_type'] = owner_type
        }
        get_url = get_url + `owner_type=${owner_type}`
        window.location.href = `${win_loc_replace}?${get_url}`

        // history.pushState({'data':data_d,'str_data':get_url}, "state_filters", `?${get_url}`);

    } else {
        if (el !== document.querySelector(".range_slider_form_filters")){
            event.preventDefault()
        }
        document.querySelector(".loader_filters_routes").classList.toggle("show")
        let one_sec = setTimeout(function (){
            // let form = el.form
            // let formData = new FormDat   a(form)
            let data_d = {}
            let get_url = ""
            let list = forloop_func_form(data_d,"get",get_url)
            data_d = list[0]
            get_url = list[1]
            if (owner_type !== null) {
                data_d['owner_type'] = owner_type
                get_url = get_url + `owner_type=${owner_type}`
            }


            $.ajax({
                headers: { "X-CSRFToken": $('input[name=csrfmiddlewaretoken]').val() },
                url: '/ru/routes/find_routes/',
                type: "POST",
                // async: true,
                cache: false,
                processData: false,
                contentType: false,
                // enctype: 'json',
                data: JSON.stringify(data_d),
                success: function(data){
                    document.querySelector(".loader_filters_routes").classList.toggle("show")
                    document.querySelector(".block-finded-routes").innerHTML = data.html
                    if (data.html === "\n\n\n\n\n"){
                        // document.querySelector(".block-finded-routes").innerHTML = "<span style='color: #ff0000;font-weight: 800;font-size: 18px;padding: 10px;'>Нечего не найдено!</span>"
                        document.querySelector(".block-finded-routes").innerHTML = "<div class=\"not_found_routes show\">\n" +
                            "            <div class=\"text-align-center fw-700 fz-24 c-txt-b2 m-a w-80 m-t-8p\">\n" +
                            "                Упс... <span class=\"orange-text\">Ничего не найдено</span>, попробуйте\n" +
                            "                изменить параметры поиска или оставьте заявку\n" +
                            "                на перевозку посылки\n" +
                            "            </div>\n" +
                            "            <img class=\"boxes_not_fond_routes left\" src=\"/static/img/boxes_for_not_found_routes/b_1.svg\"\">\n" +
                            "            <img class=\"boxes_not_fond_routes right\" src=\"/static/img/boxes_for_not_found_routes/b_2.svg\"\">\n" +
                            "        </div>"

                    } else {
                        document.querySelector(".block-finded-routes").innerHTML = data.html
                    }
                    // window.location.href = window.location.href + "?" + get_url
                    // window.location.search = "?" + get_url
                    history.pushState({'data':data_d,'str_data':get_url}, "state_filters", `?${get_url}`);
                    // let element = document.createElement("img")
                    // element.classList.add("loader_filters_routes")
                    // element.src = "/static/img/svg/loader.svg"
                    let div = document.createElement("div")
                    div.classList.add("width-100")
                    div.classList.add("text-align-center")
                    div.classList.add("mb-10")

                    div.innerHTML = "<img src='/static/img/svg/loader.svg' class='loader_filters_routes'/>"
                    let ins_bef_el = document.querySelector(".block-finded-routes").firstChild
                    $(div).insertBefore(ins_bef_el)
                    // window.history.pushState({data:get_url
                    // },{})
                },
                errors: function (data){

                }
            });
        },1000)
    }
}